package com.nationrel.modules.rga.api;
import com.nationrel.modules.rga.api.fallback.DemoHelloFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(value = "nationrel-demo", fallbackFactory = DemoHelloFallback.class)
public interface DemoHelloApi {

    /**
     * demo hello 微服务接口
     * @param
     * @return
     */
    @GetMapping(value = "/demo/hello")
    String callHello();
}
