package com.nationrel.modules.rga.api.fallback;

import com.nationrel.modules.rga.api.DemoHelloApi;
import lombok.Setter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @author JeecgBoot
 */
@Slf4j
@Component
public class DemoHelloFallback implements FallbackFactory<DemoHelloApi> {
    @Setter
    private Throwable cause;

    @Override
    public DemoHelloApi create(Throwable throwable) {
        log.error("微服务接口调用失败： {}", cause);
        return null;
    }

}
