package com.nationrel.modules.rga.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Description 相关配置
 * @Author hecs
 * @Date 2024/4/4 10:25
 * @Version 1.0
 */
@Data
@Component("AllVariableConfig")
@ConfigurationProperties(prefix = "config")
public class AllVariableConfig {

    /**
     * 系统类型
     */
    private String serverSystem;

    /**
     * 计算url
     */
    private String reliaQubeUrl;

    /**
     * 可计算数据数量
     */
    private Integer altaDataNumber;
}
