package com.nationrel.modules.rga.constant;

/**
 * 计算类型
 * @author hechengsheng
 */
public enum RgaDataTypeEnum {
    /**
     * 计算类型
     */
    ExactFailureOnly(0),
    IntervalFailureOnly(1),
    ExactFailureAndSuspension(2),
    IntervalFailureAndSuspension(3),
    FreeForm(4);

    private Integer index;

    private String name;

    RgaDataTypeEnum(Integer index) {
        this.index = index;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getName(Integer index) {
        for (RgaDataTypeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.name();
            }
        }
        return null;
    }

}
