// Copyright(c) 2021 ReliaQube. All rights reserved.
// 自动生成文件，再次生成时将覆盖修改内容
package com.nationrel.modules.rga.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Schema(description = "加速数据分析数据表基类")
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class RgaDataCheckDto {

    @Schema(description = "应力ID")
    private String analysisId;

    @Schema(description = "数据编号")
    private Integer dataNo;

    @Schema(description = "数量")
    private String quantity;

    @Schema(description = "最近检查时间")
    private String lastInspectTime;

    @Schema(description = "F或S状态")
    @TableField(value = "f_s")
    private String failureSuspension;

    @Schema(description = "结束时间")
    private String failureEndTime;

    @Schema(description = "备注信息1")
    private String comment1;

    @Schema(description = "备注信息2")
    private String comment2;

    @Schema(description = "备注信息3")
    private String comment3;

    @Schema(description = "备注信息4")
    private String comment4;

    @Schema(description = "备注信息5")
    private String comment5;

    @Schema(description = "备注信息6")
    private String comment6;

    @Schema(description = "备注信息7")
    private Double comment7;

    @Schema(description = "备注信息8")
    private Double comment8;
}
