package com.nationrel.modules.rga.general.domain.enums.common;

import com.alibaba.fastjson.JSONObject;

/**
 * @author Aimee on 2020/9/22.
 */
public class CalculateConstantsLinux {

    public static final JSONObject DIRECT_CALC_DATA = JSONObject.parseObject("{\n" +
            "  \"data\": {\n" +
            "    \"endTime\": 0\n" +
            "  },\n" +
            "  \"results\": {\n" +
            "    \"beta\": 3,\n" +
            "    \"eta\": 2000,\n" +
            "\"gamma\": 0,\n" +
            "\"mu\": 0,\n" +
            "\"sigma\":0,\n" +
            "\"logMu\":0,\n" +
            "\"logSigma\":0,\n" +
            "    \"analysisType\": \"RRY\",\n" +
            "    \"distributionType\": \"Weibull\"\n" +
            "  }\n" +
            "}");

    // ==================
    // 外部API路径
    // ==================
    public static final String API_LIFEDATA_FAILURERANK = "LifeData/ParameterEstimate/FailureRank";
    public static final String API_LIFEDATA_WEIBULL_TWOPARAMETER_RRY = "LifeData/ParameterEstimate/Weibull/TwoParameter?analysisType=RRY";
    public static final String API_LIFEDATA_WEIBULL_TWOPARAMETER_RRX = "LifeData/ParameterEstimate/Weibull/TwoParameter?analysisType=RRX";
    public static final String API_LIFEDATA_WEIBULL_TWOPARAMETER_MLE = "LifeData/ParameterEstimate/Weibull/TwoParameter?analysisType=MLE";
    public static final String API_LIFEDATA_WEIBULL_ONEPARAMETER_RRY = "LifeData/ParameterEstimate/Weibull/OneParameter?analysisType=RRY";
    public static final String API_LIFEDATA_WEIBULL_ONEPARAMETER_RRX = "LifeData/ParameterEstimate/Weibull/OneParameter?analysisType=RRX";
    public static final String API_LIFEDATA_WEIBULL_ONEPARAMETER_MLE = "LifeData/ParameterEstimate/Weibull/OneParameter?analysisType=MLE";
    public static final String API_LIFEDATA_WEIBULL_ONEPARAMETER_ZEROFAILURE = "LifeData/ParameterEstimate/Weibull/TwoParametersZeroFailures";
    public static final String API_LIFEDATA_WEIBULL_THREEPARAMETER_RRY = "LifeData/ParameterEstimate/Weibull/ThreeParameter?analysisType=RRY";
    public static final String API_LIFEDATA_WEIBULL_THREEPARAMETER_RRX = "LifeData/ParameterEstimate/Weibull/ThreeParameter?analysisType=RRX";
    public static final String API_LIFEDATA_WEIBULL_THREEPARAMETER_MLE = "LifeData/ParameterEstimate/Weibull/ThreeParameter?analysisType=MLE";
    public static final String API_LIFEDATA_WEIBULL_TWOPOPULATIONMIXEDWEIBULLPARAMETER_RRY = "LifeData/ParameterEstimate/Weibull/TwoPopulationMixedWeibullParameter?analysisType=RRY";
    public static final String API_LIFEDATA_WEIBULL_TWOPOPULATIONMIXEDWEIBULLPARAMETER_RRX = "LifeData/ParameterEstimate/Weibull/TwoPopulationMixedWeibullParameter?analysisType=RRX";
    public static final String API_LIFEDATA_WEIBULL_TWOPOPULATIONMIXEDWEIBULLPARAMETER_MLE = "LifeData/ParameterEstimate/Weibull/TwoPopulationMixedWeibullParameter?analysisType=MLE";
    public static final String API_LIFEDATA_WEIBULL_THREEPOPULATIONMIXEDWEIBULLPARAMETER_RRY = "LifeData/ParameterEstimate/Weibull/ThreePopulationMixedWeibullParameter?analysisType=RRY";
    public static final String API_LIFEDATA_WEIBULL_THREEPOPULATIONMIXEDWEIBULLPARAMETER_RRX = "LifeData/ParameterEstimate/Weibull/ThreePopulationMixedWeibullParameter?analysisType=RRX";
    public static final String API_LIFEDATA_WEIBULL_THREEPOPULATIONMIXEDWEIBULLPARAMETER_MLE = "LifeData/ParameterEstimate/Weibull/ThreePopulationMixedWeibullParameter?analysisType=MLE";
    public static final String API_LIFEDATA_NORMAL_TWOPARAMETER_RRY = "LifeData/ParameterEstimate/Normal/TwoParameter?analysisType=RRY";
    public static final String API_LIFEDATA_NORMAL_TWOPARAMETER_RRX = "LifeData/ParameterEstimate/Normal/TwoParameter?analysisType=RRX";
    public static final String API_LIFEDATA_NORMAL_TWOPARAMETER_MLE = "LifeData/ParameterEstimate/Normal/TwoParameter?analysisType=MLE";
    public static final String API_LIFEDATA_NORMAL_ONEPARAMETER_RRY = "LifeData/ParameterEstimate/Normal/OneParameter?analysisType=RRY";
    public static final String API_LIFEDATA_NORMAL_ONEPARAMETER_RRX = "LifeData/ParameterEstimate/Normal/OneParameter?analysisType=RRX";
    public static final String API_LIFEDATA_NORMAL_ONEPARAMETER_MLE = "LifeData/ParameterEstimate/Normal/OneParameter?analysisType=MLE";
    public static final String API_LIFEDATA_LOGNORMAL_ONEPARAMETER_RRY = "LifeData/ParameterEstimate/Lognormal/OneParameter?analysisType=RRY";
    public static final String API_LIFEDATA_LOGNORMAL_ONEPARAMETER_RRX = "LifeData/ParameterEstimate/Lognormal/OneParameter?analysisType=RRX";
    public static final String API_LIFEDATA_LOGNORMAL_ONEPARAMETER_MLE = "LifeData/ParameterEstimate/Lognormal/OneParameter?analysisType=MLE";
    public static final String API_LIFEDATA_LOGNORMAL_TWOPARAMETER_RRY = "LifeData/ParameterEstimate/Lognormal/TwoParameter?analysisType=RRY";
    public static final String API_LIFEDATA_LOGNORMAL_TWOPARAMETER_RRX = "LifeData/ParameterEstimate/Lognormal/TwoParameter?analysisType=RRX";
    public static final String API_LIFEDATA_LOGNORMAL_TWOPARAMETER_MLE = "LifeData/ParameterEstimate/Lognormal/TwoParameter?analysisType=MLE";
    public static final String API_LIFEDATA_EXPONENTIAL_ONEPARAMETER_RRY = "LifeData/ParameterEstimate/Exponential/OneParameter?analysisType=RRY";
    public static final String API_LIFEDATA_EXPONENTIAL_ONEPARAMETER_RRX = "LifeData/ParameterEstimate/Exponential/OneParameter?analysisType=RRX";
    public static final String API_LIFEDATA_EXPONENTIAL_ONEPARAMETER_MLE = "LifeData/ParameterEstimate/Exponential/OneParameter?analysisType=MLE";
    public static final String API_LIFEDATA_EXPONENTIAL_TWOPARAMETER_RRY = "LifeData/ParameterEstimate/Exponential/TwoParameter?analysisType=RRY";
    public static final String API_LIFEDATA_EXPONENTIAL_TWOPARAMETER_RRX = "LifeData/ParameterEstimate/Exponential/TwoParameter?analysisType=RRX";
    public static final String API_LIFEDATA_EXPONENTIAL_TWOPARAMETER_MLE = "LifeData/ParameterEstimate/Exponential/TwoParameter?analysisType=MLE";
    public static final String API_PLOT_URL = "LifeData/PlotData/";
    public static final String API_STRESS_URL = "LifeData/Tools/";
    public static final String API_RANDOM_URL = "LifeData/Tools/MonteCarlo/GenerateRandomFailures";
    public static final String API_FUNCTIONS_RELIABILITY = "LifeData/Functions/Reliability";
    public static final String API_FUNCTIONS_UNRELIABILITY = "LifeData/Functions/Unreliability";
    public static final String API_FUNCTIONS_PDF = "LifeData/Functions/PDF";
    public static final String API_FUNCTIONS_FAILURERATE = "LifeData/Functions/FailureRate";
    public static final String API_FUNCTIONS_MEANLIFE = "LifeData/Functions/MeanLife";
    public static final String API_FUNCTIONS_CONDITIONALRELIABILITY = "LifeData/Functions/ConditionalReliability";
    public static final String API_FUNCTIONS_CONDITIONALUNRELIABILITY = "LifeData/Functions/ConditionalUnreliability";
    public static final String API_FUNCTIONS_TIMEATRELIABILITY = "LifeData/Functions/TimeAtReliability";
    public static final String API_FUNCTIONS_TIMEATUNRELIABILITY = "LifeData/Functions/TimeAtUnreliability";
    public static final String API_BOUNDS_ONBETA = "LifeData/Bounds/BoundOnBeta";
    public static final String API_BOUNDS_ONBETAMIXEDWEIBULL = "LifeData/Bounds/BoundOnBetaMixedWeibull";
    public static final String API_BOUNDS_ONETA = "LifeData/Bounds/BoundOnEta";
    public static final String API_BOUNDS_ONTHETA = "LifeData/Bounds/BoundOnTheta";
    public static final String API_BOUNDS_ONLAMBDA = "LifeData/Bounds/BoundOnLambda";
    public static final String API_BOUNDS_ONETAMIXEDWEIBULL = "LifeData/Bounds/BoundOnEtaMixedWeibull";
    public static final String API_BOUNDS_ONPMIXEDWEIBULL = "LifeData/Bounds/BoundOnPMixedWeibull";
    public static final String API_BOUNDS_ONSIGMA = "LifeData/Bounds/BoundOnSigma";
    public static final String API_BOUNDS_ONMU = "LifeData/Bounds/BoundOnMu";
    public static final String API_BOUNDS_GAMMA = "";//todo
    public static final String API_BOUNDS_ONRELIABILITY = "LifeData/Bounds/BoundOnReliability";
    public static final String API_BOUNDS_ONUNRELIABILITY = "LifeData/Bounds/BoundOnUnReliability";
    public static final String API_BOUNDS_ONMTTF = "LifeData/Bounds/BoundOnMTTF";
    public static final String API_BOUNDS_ONFAILURERATE = "LifeData/Bounds/BoundOnFailureRate";
    public static final String API_BOUNDS_ONCONDITIONALRELIABILITY = "LifeData/Bounds/BoundOnConditionalReliability";
    public static final String API_BOUNDS_ONCONDITIONALUNRELIABILITY = "LifeData/Bounds/BoundOnConditionalUnreliability";
    public static final String API_BOUNDS_ONTIMEGIVENRELIABILITY = "LifeData/Bounds/BoundOnTimeGivenReliability";
    public static final String API_BOUNDS_ONTIMEGIVENUNRELIABILITY = "LifeData/Bounds/BoundOnTimeGivenUnreliability";
    public static final String API_RELIABILITYGROWTH_PARAMETERESTIMATE = "/ReliabilityGrowth/ParameterEstimate/PowerLawGrouped";
    public static final String API_RELIABILITYGROWTH_PLOT = "ReliabilityGrowth/PlotData";
    public static final String API_FIXEFFECTIVENSS = "ReliabilityDemonstraion/FixEffectiviness/FixEffectivenss";

}
