package com.nationrel.modules.rga.general.exception;


import com.nationrel.modules.rga.general.common.ResponseStatus;

/**
 * 创建人是: hcs 创建时间: 2017/9/7 0007.
 */
public class UnAuthorizedException extends RuntimeException {
    private Integer code;

    public UnAuthorizedException(ResponseStatus responseCode) {
        super(responseCode.getMessage());
        this.code = responseCode.getStatus();
    }

    public UnAuthorizedException(Integer code, String message) {
        super(message);
        this.code = code;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }
}
