package com.nationrel.modules.rga.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class RgaCalcResultsVo {

    @Schema(description = "beta")
    private String beta;

    @Schema(description = "logSigma")
    private String logSigma;

    @Schema(description = "gamma")
    private String gamma;

    @Schema(description = "eta")
    private String eta;

    @Schema(description = "boundsFlag")
    private Integer boundsFlag;

    @Schema(description = "DISTRIBUTION_TYPE")
    private Integer distributionType;

    @Schema(description = "计算结果")
    private List<RgaCalcResultVo> calcResults;

    @Schema(description = "设置")
    private List<RgaCalcResultVo> settingResults;

    @Schema(description = "应力项")
    private List<RgaCalcResultVo> columnResults;
}
