package com.nationrel.modules.rga.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class RgaColumnVo {

    @Schema(description = "应力ID")
    private String columnId;

    @Schema(description = "分析ID")
    private String analysisId;

    @Schema(description = "应力名称")
    private String name;

    @Schema(description = "单位")
    private String unit;

    @Schema(description = "是否选中")
    private Integer selectStatus;

    @Schema(description = "是否显示")
    private Integer showStatus;

    @Schema(description = "应力水平")
    private Double stressLevel;

    private String generalCode;
}
