package com.nationrel.modules.rga.constant;

/**
 * alta画图类型
 * @author hechengsheng
 */
public enum RgaPlotTypeEnum {
    /**
     * alta画图类型
     */
    Reliability(0, "ALTA/PlotData/ReliabilityPlotData"),
    UnReliability(1, "ALTA/PlotData/UnReliabilityPlotData"),
    UseLevelProbability(2, "ALTA/PlotData/UseLevelProbabilityPlotData"),
    FailureRate(3, "ALTA/PlotData/FailureRatePlotData"),
    pdf(4, "ALTA/PlotData/PdfPlotData"),
    AccelerationFactor(5, "ALTA/PlotData/AccelerationFactorPlotData"),
    LifeVsStress(6, "ALTA/PlotData/LifeVsStressPlotData"),
    TestLevelProbability(7,"ALTA/PlotData/TestLevelProbabilityPlotData");

    private Integer index;

    private String name;

    private String path;

    RgaPlotTypeEnum(Integer index, String path) {
        this.index = index;
        this.path = path;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getName(Integer index) {
        for (RgaPlotTypeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.name();
            }
        }
        return null;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }
}
