// Copyright(c) 2021 ReliaQube. All rights reserved.
package com.nationrel.modules.rga.dto;

import com.nationrel.modules.rga.entity.RgaColumn;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

@Schema(description = "应力项修改接受")
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class RgaColumnsEditDto {

    @Schema(description = "所有应力项")
    private List<RgaColumn> allColumns;

    @Schema(description = "选中应力项")
    private List<RgaColumn> selectColumns;
}

