// Copyright(c) 2021 ReliaQube. All rights reserved.
package com.nationrel.modules.rga.dto;

import com.nationrel.modules.rga.entity.RgaColumn;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

@Schema(description = "快速计算数据接受")
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class RgaFastCalculateDto {

    private String analysisId;

    private Integer quickCalcType;

    private String time;

    private String cl;

    private String sided;

    private String rel;

    private String unRel;

    private String currentTime;

    private String missionTime;

    private String calcResult;

    private String settings;

    private String preSettings;

    private List<RgaColumn> selectColumn;
}

