package com.nationrel.modules.rga.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

@Schema(description = "计算器计算结果表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("rga_analysis_calc_result")
public class RgaAnalysisCalcResult {

    @Schema(description = "分析设定ID")
    private String analysisId;

    @Schema(description = "前置设置")
    private String preSettings;

    @Schema(description = "前置计算结果")
    private String preCalcResult;

    @Schema(description = "计算结果")
    private String calcResult;

    @Schema(description = "计算的参数")
    private String confidenceParam;

    @Schema(description = "计算的参数")
    private String calcMethodParam;

    private Date insertTime;

}
