// Copyright(c) 2021 ReliaQube. All rights reserved.
// 自动生成文件，再次生成时将覆盖修改内容
package com.nationrel.modules.rga.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Schema(description = "画图结果表基类")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("rga_plot")
public class RgaPlot {

    @TableId
    @Schema(description = "应力ID")
    private String analysisId;

    @Schema(description = "DISTRIBUTING_TYPE")
    private Integer distributionType;

    @Schema(description = "应力模型")
    private Integer lifeStressModel;

    @Schema(description = "PLOT_TYPE")
    private Integer plotType;

    @Schema(description = "置信限")
    private String boundSided;

    @Schema(description = "置信度")
    private String confidenceLevel;

    @Schema(description = "PLOT_DATA")
    private String plotData;
}
