package com.nationrel.modules.rga.general.domain.enums.common;

import com.alibaba.fastjson.JSONObject;

/**
 * @author Aimee on 2020/9/22.
 */
public class CalculateConstants {

    public static final JSONObject DIRECT_CALC_DATA = JSONObject.parseObject("{\n" +
            "  \"Data\": {\n" +
            "    \"EndTime\": 0\n" +
            "  },\n" +
            "  \"Results\": {\n" +
            "    \"Beta\": 3,\n" +
            "    \"Eta\": 2000,\n" +
            "\"Gamma\": 0,\n" +
            "\"Mu\": 0,\n" +
            "\"Sigma\":0,\n" +
            "\"LogMu\":0,\n" +
            "\"LogSigma\":0,\n" +
            "    \"AnalysisType\": \"RRY\",\n" +
            "    \"DistributionType\": \"Weibull\"\n" +
            "  }\n" +
            "}");

    // ==================
    // 外部API路径
    // ==================
    public static final String API_LIFEDATA_FAILURERANK = "FailureRank";
    public static final String API_LIFEDATA_WEIBULL_TWOPARAMETER_RRY = "Weibull/TwoParameter/RRY";
    public static final String API_LIFEDATA_WEIBULL_TWOPARAMETER_RRX = "Weibull/TwoParameter/RRX";
    public static final String API_LIFEDATA_WEIBULL_TWOPARAMETER_MLE = "Weibull/TwoParameter/MLE";
    public static final String API_LIFEDATA_WEIBULL_ONEPARAMETER_RRY = "Weibull/OneParameter/RRY";
    public static final String API_LIFEDATA_WEIBULL_ONEPARAMETER_RRX = "Weibull/OneParameter/RRX";
    public static final String API_LIFEDATA_WEIBULL_ONEPARAMETER_MLE = "Weibull/OneParameter/MLE";
    public static final String API_LIFEDATA_WEIBULL_ONEPARAMETER_ZEROFAILURE = "Weibull/TwoParametersZeroFailures";
    public static final String API_LIFEDATA_WEIBULL_THREEPARAMETER_RRY = "Weibull/ThreeParameter/RRY";
    public static final String API_LIFEDATA_WEIBULL_THREEPARAMETER_RRX = "Weibull/ThreeParameter/RRX";
    public static final String API_LIFEDATA_WEIBULL_THREEPARAMETER_MLE = "Weibull/ThreeParameter/MLE";
    public static final String API_LIFEDATA_WEIBULL_TWOPOPULATIONMIXEDWEIBULLPARAMETER_RRY = "Weibull/TwoPopulationMixedWeibullParameter/RRY";
    public static final String API_LIFEDATA_WEIBULL_TWOPOPULATIONMIXEDWEIBULLPARAMETER_RRX = "Weibull/TwoPopulationMixedWeibullParameter/RRX";
    public static final String API_LIFEDATA_WEIBULL_TWOPOPULATIONMIXEDWEIBULLPARAMETER_MLE = "Weibull/TwoPopulationMixedWeibullParameter/MLE";
    public static final String API_LIFEDATA_WEIBULL_THREEPOPULATIONMIXEDWEIBULLPARAMETER_RRY = "Weibull/ThreePopulationMixedWeibullParameter/RRY";
    public static final String API_LIFEDATA_WEIBULL_THREEPOPULATIONMIXEDWEIBULLPARAMETER_RRX = "Weibull/ThreePopulationMixedWeibullParameter/RRX";
    public static final String API_LIFEDATA_WEIBULL_THREEPOPULATIONMIXEDWEIBULLPARAMETER_MLE = "Weibull/ThreePopulationMixedWeibullParameter/MLE";
    public static final String API_LIFEDATA_NORMAL_TWOPARAMETER_RRY = "Normal/TwoParameter/RRY";
    public static final String API_LIFEDATA_NORMAL_TWOPARAMETER_RRX = "Normal/TwoParameter/RRX";
    public static final String API_LIFEDATA_NORMAL_TWOPARAMETER_MLE = "Normal/TwoParameter/MLE";
    public static final String API_LIFEDATA_NORMAL_ONEPARAMETER_RRY = "Normal/OneParameter/RRY";
    public static final String API_LIFEDATA_NORMAL_ONEPARAMETER_RRX = "Normal/OneParameter/RRX";
    public static final String API_LIFEDATA_NORMAL_ONEPARAMETER_MLE = "Normal/OneParameter/MLE";
    public static final String API_LIFEDATA_LOGNORMAL_ONEPARAMETER_RRY = "Lognormal/OneParameter/RRY";
    public static final String API_LIFEDATA_LOGNORMAL_ONEPARAMETER_RRX = "Lognormal/OneParameter/RRX";
    public static final String API_LIFEDATA_LOGNORMAL_ONEPARAMETER_MLE = "Lognormal/OneParameter/MLE";
    public static final String API_LIFEDATA_LOGNORMAL_TWOPARAMETER_RRY = "Lognormal/TwoParameter/RRY";
    public static final String API_LIFEDATA_LOGNORMAL_TWOPARAMETER_RRX = "Lognormal/TwoParameter/RRX";
    public static final String API_LIFEDATA_LOGNORMAL_TWOPARAMETER_MLE = "Lognormal/TwoParameter/MLE";
    public static final String API_LIFEDATA_EXPONENTIAL_ONEPARAMETER_RRY = "Exponential/OneParameter/RRY";
    public static final String API_LIFEDATA_EXPONENTIAL_ONEPARAMETER_RRX = "Exponential/OneParameter/RRX";
    public static final String API_LIFEDATA_EXPONENTIAL_ONEPARAMETER_MLE = "Exponential/OneParameter/MLE";
    public static final String API_LIFEDATA_EXPONENTIAL_TWOPARAMETER_RRY = "Exponential/TwoParameter/RRY";
    public static final String API_LIFEDATA_EXPONENTIAL_TWOPARAMETER_RRX = "Exponential/TwoParameter/RRX";
    public static final String API_LIFEDATA_EXPONENTIAL_TWOPARAMETER_MLE = "Exponential/TwoParameter/MLE";
    public static final String API_PLOT_URL = "LifeData/PlotData/";
    public static final String API_STRESS_URL = "LifeData/Tools/";
    public static final String API_RANDOM_URL = "LifeData/Tools/MonteCarlo/GenerateRandomFailures";
    public static final String API_FUNCTIONS_RELIABILITY = "LifeData/Functions/Reliability";
    public static final String API_FUNCTIONS_UNRELIABILITY = "LifeData/Functions/Unreliability";
    public static final String API_FUNCTIONS_PDF = "LifeData/Functions/PDF";
    public static final String API_FUNCTIONS_FAILURERATE = "LifeData/Functions/FailureRate";
    public static final String API_FUNCTIONS_MEANLIFE = "LifeData/Functions/MeanLife";
    public static final String API_FUNCTIONS_CONDITIONALRELIABILITY = "LifeData/Functions/ConditionalReliability";
    public static final String API_FUNCTIONS_CONDITIONALUNRELIABILITY = "LifeData/Functions/ConditionalUnreliability";
    public static final String API_FUNCTIONS_TIMEATRELIABILITY = "LifeData/Functions/TimeAtReliability";
    public static final String API_FUNCTIONS_TIMEATUNRELIABILITY = "LifeData/Functions/TimeAtUnreliability";
    public static final String API_BOUNDS_ONBETA = "LifeData/Bounds/BoundOnBeta";
    public static final String API_BOUNDS_ONBETAMIXEDWEIBULL = "LifeData/Bounds/BoundOnBetaMixedWeibull";
    public static final String API_BOUNDS_ONETA = "LifeData/Bounds/BoundOnEta";
    public static final String API_BOUNDS_ONTHETA = "LifeData/Bounds/BoundOnTheta";
    public static final String API_BOUNDS_ONLAMBDA = "LifeData/Bounds/BoundOnLambda";
    public static final String API_BOUNDS_ONETAMIXEDWEIBULL = "LifeData/Bounds/BoundOnEtaMixedWeibull";
    public static final String API_BOUNDS_ONPMIXEDWEIBULL = "LifeData/Bounds/BoundOnPMixedWeibull";
    public static final String API_BOUNDS_ONSIGMA = "LifeData/Bounds/BoundOnSigma";
    public static final String API_BOUNDS_ONMU = "LifeData/Bounds/BoundOnMu";
    public static final String API_BOUNDS_GAMMA = "";//todo
    public static final String API_BOUNDS_ONRELIABILITY = "LifeData/Bounds/BoundOnReliability";
    public static final String API_BOUNDS_ONUNRELIABILITY = "LifeData/Bounds/BoundOnUnReliability";
    public static final String API_BOUNDS_ONMTTF = "LifeData/Bounds/BoundOnMTTF";
    public static final String API_BOUNDS_ONFAILURERATE = "LifeData/Bounds/BoundOnFailureRate";
    public static final String API_BOUNDS_ONCONDITIONALRELIABILITY = "LifeData/Bounds/BoundOnConditionalReliability";
    public static final String API_BOUNDS_ONCONDITIONALUNRELIABILITY = "LifeData/Bounds/BoundOnConditionalUnreliability";
    public static final String API_BOUNDS_ONTIMEGIVENRELIABILITY = "LifeData/Bounds/BoundOnTimeGivenReliability";
    public static final String API_BOUNDS_ONTIMEGIVENUNRELIABILITY = "LifeData/Bounds/BoundOnTimeGivenUnreliability";
    public static final String API_RELIABILITYGROWTH_PARAMETERESTIMATE = "/ReliabilityGrowth/ParameterEstimate/PowerLawGrouped";
    public static final String API_RELIABILITYGROWTH_PLOT = "/ReliabilityGrowth/PlotData";
    public static final String API_FIXEFFECTIVENSS = "/ReliabilityDemonstraion/FixEffectiviness/FixEffectivenss";

}
