package com.nationrel.modules.rga.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class RgaCalcResultModel {

    /** ANALYSIS_ID */
    private String analysisId;

    /** DISTRIBUTING_TYPE */
    private Integer distributionType;

    /** LIFE_STRESS_MODEL */
    private Integer lifeStressModel;

    /** beta */
    private String beta;

    /** log_sigma */
    private String logSigma;

    /** gamma */
    private String gamma;

    /** eta */
    private String eta;

    /** lambda */
    private String lambda;

    /** theta */
    private String theta;

    /** log_mu */
    private String logMu;

    /** theta0 */
    private String theta0;

    /** theta1 */
    private String theta1;

    /** theta2 */
    private String theta2;

    /** var_beta */
    private String varBeta;

    /** var_log_sigma */
    private String varLogSigma;

    /** var_theta0 */
    private String varTheta0;

    /** var_theta1 */
    private String varTheta1;

    /** var_theta2 */
    private String varTheta2;

    /** cov_beta_theta0 */
    private String covBetaTheta0;

    /** cov_beta_theta1 */
    private String covBetaTheta1;

    /** cov_beta_theta2 */
    private String covBetaTheta2;

    /** cov_log_sigma_theta0 */
    private String covLogSigmaTheta0;

    /** cov_log_sigma_theta1 */
    private String covLogSigmaTheta1;

    /** cov_log_sigma_theta2 */
    private String covLogSigmaTheta2;

    /** cov_theta1_theta2 */
    private String covTheta1Theta2;

    /** cov_theta0_theta2 */
    private String covTheta0Theta2;

    /** cov_theta0_theta1 */
    private String covTheta0Theta1;

    /** numof_stress */
    private String numofStress;

    /** alpha */
    private List alpha;

    /** cov_matrix */
    private List covMatrix;

    /** lkv */
    private String lkv;

    /** pho */
    private String pho;

    /** sse */
    private String sse;

    /** stress_tf */
    private List stressTf;
}
