// Copyright(c) 2021 ReliaQube. All rights reserved.
package com.nationrel.modules.rga.vo;

import com.nationrel.modules.rga.entity.RgaAnalysis;
import com.nationrel.modules.rga.entity.RgaColumn;
import com.nationrel.modules.rga.entity.RgaData;
import com.nationrel.modules.rga.entity.RgaSetting;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;


@Schema(description = "快速计算数据接受")
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class RgaAnalysisDetailVo {

    private RgaAnalysis rgaAnalysis;

    private List<RgaColumn> rgaColumns;

    private List<RgaData> rgaData;

    private RgaSetting rgaSetting;

    private String altaCalcResult;
}

