// Copyright(c) 2021 ReliaQube. All rights reserved.
package com.nationrel.modules.rga.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Schema(description = "生成的图形数据")
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class RgaImageDetailVo {

    private String img;

    private Integer plotType;

    private Integer distributionType;

    private Integer lifeStressModel;

    private String altaCalcResult;

    private String errorMsg;
}

